Subject: Re: CCL:W:Mean square displacement and self diffusion coefficient

From: khinsen = cea.fr
Date: Mon, 14 Mar 2005 23:17:20 +0100

On 14.03.2005, at 17:55, Ozgur, , Yazaydin wrote:

> I am trying to write a fortran code to calculate the mean square  
> displacement and thus self diffusion coefficient. I examined several  
> resources and also the previous discussion here in CCL. With my  
> algorith the diffusion coefficient is siginificantly overestimated  
> although I considered the 3D periodic BC and unfolded the trajectory.  
> I suspect that I truly understand the idea of " time avarage" or  
> "multiple time origins". I appreciate if you could post any useful  
> reference or an available algorithm.
>
The program nMoldyn calculates the mean square displacement (and other  
dynamical quantities) efficiently using an FFT-based method. You can  
download it at

	http://dirac.cnrs-orleans.fr/nMOLDYN/

On that page you can also find the references

	G.R. Kneller, V. Keiner, M. Kneller, M. Schiller
	nMOLDYN: A program package for a neutron scattering
  	oriented analysis of Molecular  Dynamics simulations
	Comp. Phys. Comm. 91, 191-214 (1995)

	T. Rsg, K. Murzyn, K. Hinsen, G. R. Kneller
	nMOLDYN: A Program Package for a Neutron Scattering
	Oriented Analysis of Molecular Dynamics Simulations
	J. Comp. Chem. 24(5), 657-667 (2003)

which describe the algorithms and implementations.
--
------------------------------------------------------------------------ 
-------
Konrad Hinsen
Laboratoire Leon Brillouin, CEA Saclay,
91191 Gif-sur-Yvette Cedex, France
Tel.: +33-1 69 08 79 25
Fax: +33-1 69 08 82 61
E-Mail: khinsen = cea.fr
------------------------------------------------------------------------ 
-------